
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Fragment开发实战（二） / iVAN</title>

    <meta name="description" content="Fragment开发实战（二） 由于在Android的实现机制中Fragment和Activity会被分别实例化为两个不相干的对象,他们之间的联系由Activity的一个成员对象Fragmentmanager来维护.Fragment实例化后会到Activity中的Fragmentmanager去注册一下,这个动作封装在Fragment对象的onAttach()中,所以你可以在fragment中声明一些回调接口,当Fragment调用onAttach时,将这些回调接口实例化,这样Fragment就能调用各个Activity的成员">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Fragment开发实战（二）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>由于在Android的实现机制中Fragment和Activity会被分别实例化为两个不相干的对象,他们之间的联系由Activity的一个成员对象Fragmentmanager来维护.Fragment实例化后会到Activity中的Fragmentmanager去注册一下,这个动作封装在Fragment对象的onAttach()中,所以你可以在fragment中声明一些回调接口,当Fragment调用onAttach时,将这些回调接口实例化,这样Fragment就能调用各个Activity的成员函数了,当然Activity必须implements这些接口,否则会包ClasscasteException.</p>
<p>Fragment和Activity的回调机制又是OOP的一次完美演绎!</p>
<p>接下来,我们来实现图书信息管理的实例: 在一个Activity中,有两个Fragment,其中左边的Fragment用于显示新闻列表,右表的Fragment用于显示新闻详情.</p>
<p>1） 新闻详情</p>
<pre>public class BookDetailFragment extends Fragment
{
    public static final String ITEM_ID = "item_id";

    // 保存该Fragment显示的Book对象
    BookContent.Book book;

    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        // 如果启动该Fragment时包含了ITEM_ID参数
        if (getArguments().containsKey(ITEM_ID))
        {
            book = BookContent.ITEM_MAP.get(getArguments().getInt(ITEM_ID)); // ①
        }
    }

    // 重写该方法，该方法返回的View将作为Fragment显示的组件
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
    {
        // 加载/res/layout/目录下的fragment_book_detail.xml布局文件
        View rootView = inflater.inflate(R.layout.fragment_book_detail, container, false);
        if (book != null)
        {
            // 让book_title文本框显示book对象的title属性
            ((TextView) rootView.findViewById(R.id.book_title)).setText(book.title);
            // 让book_desc文本框显示book对象的desc属性
            ((TextView) rootView.findViewById(R.id.book_desc)).setText(book.desc);
        }
        return rootView;
    }
}</pre>
<p>该Fragment会加载res/layout/目录下的fragment_book_detail.xml界面布局文件。 上面①处的代码用于获取启动该Fragment时传入的ITEM_ID参数，并根据该ID获取BookContent的ITEM_MAP中的图书信息。</p>
<pre>public class BookContent
{
    // 定义一个内部类，作为系统的业务对象
    public static class Book
    {

        public Integer id;

        public String title;

        public String desc;

        public Book(Integer id, String title, String desc)
        {
            this.id = id;
            this.title = title;
            this.desc = desc;
        }

        @Override
        public String toString()
        {
            return title;
        }
    }

    // 使用List集合记录系统所包含的Book对象
    public static List&lt;Book&gt; ITEMS = new ArrayList&lt;Book&gt;();

    // 使用Map集合记录系统所包含的Book对象
    public static Map&lt;Integer, Book&gt; ITEM_MAP = new HashMap&lt;Integer, Book&gt;();

    static
    {
        // 使用静态初始化代码，将Book对象添加到List集合、Map集合中
        addItem(new Book(1, "疯狂Java讲义", "一本全面、深入的Java学习图书，已被多家高校选做教材。"));
        addItem(new Book(2, "疯狂Android讲义", "Android学习者的首选图书，常年占据京东、当当、 " + "亚马逊3大网站Android销量排行榜的榜首"));
        addItem(new Book(3, "轻量级Java EE企业应用实战", "全面介绍Java EE开发的Struts 2、Spring 3、Hibernate 4框架"));
    }

    private static void addItem(Book book)
    {
        ITEMS.add(book);
        ITEM_MAP.put(book.id, book);
    }
}</pre>
<p>2） 新闻列表</p>
<p>新闻列表，我们可以直接使用ListFragment，当使用ListFragment的子类时，无需重写onCreateView()方法——与ListActivity类似的是，只要调用ListFragment的setAdapter()方法为该Fragment设置Adapter即可。</p>
<pre>public class BookListFragment extends ListFragment
{
    private Callbacks mCallbacks;

    // 定义一个回调接口，该Fragment所在Activity需要实现该接口
    // 该Fragment将通过该接口与它所在的Activity交互
    public interface Callbacks
    {
        public void onItemSelected(Integer id);
    }

    // 当该Fragment被添加、显示到Activity时，回调该方法
    @Override
    public void onAttach(Activity activity)
    {
        super.onAttach(activity);
        // 如果Activity没有实现Callbacks接口，抛出异常
        if (!(activity instanceof Callbacks))
        {
            throw new IllegalStateException("BookListFragment所在的Activity必须实现Callbacks接口!");
        }
        // 把该Activity当成Callbacks对象
        mCallbacks = (Callbacks) activity;
    }

    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        // 为该ListFragment设置Adapter
        setListAdapter(new ArrayAdapter&lt;BookContent.Book&gt;(getActivity(), android.R.layout.simple_list_item_activated_1,
                android.R.id.text1, BookContent.ITEMS));
    }

    // 当该Fragment从它所属的Activity中被删除时回调该方法
    @Override
    public void onDetach()
    {
        super.onDetach();
        // 将mCallbacks赋为null。
        mCallbacks = null;
    }

    // 当用户点击某列表项时激发该回调方法
    @Override
    public void onListItemClick(ListView listView, View view, int position, long id)
    {
        super.onListItemClick(listView, view, position, id);
        // 激发mCallbacks的onItemSelected方法
        mCallbacks.onItemSelected(BookContent.ITEMS.get(position).id);
    }

    public void setActivateOnItemClick(boolean activateOnItemClick)
    {
        getListView().setChoiceMode(activateOnItemClick ? ListView.CHOICE_MODE_SINGLE : ListView.CHOICE_MODE_NONE);
    }
}
</pre>
<p>3） Fragment与Activity的通信</p>
<p>首先，我们定义Activity的布局文件：</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;!-- 定义一个水平排列的LinearLayout，并指定使用中等分隔条 --&gt;
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_marginLeft="16dp"
    android:layout_marginRight="16dp"
    android:divider="?android:attr/dividerHorizontal"
    android:orientation="horizontal"
    android:showDividers="middle" &gt;

    &lt;!-- 添加一个Fragment --&gt;

    &lt;fragment
        android:id="@+id/book_list"
        android:name="com.chen.yuan.BookListFragment"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1" /&gt;
    &lt;!-- 添加一个FrameLayout容器 --&gt;

    &lt;FrameLayout
        android:id="@+id/book_detail_container"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="3" /&gt;

&lt;/LinearLayout&gt;</pre>
<p>定义BookActivity，用于管理列表Fragment和新闻详情Fragment</p>
<pre>public class SelectBookActivity extends Activity implements BookListFragment.Callbacks
{
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        // 加载/res/layout目录下的activity_book_twopane.xml布局文件
        setContentView(R.layout.activity_book_twopane);
    }

    // 实现Callbacks接口必须实现的方法
    @Override
    public void onItemSelected(Integer id)
    {
        // 创建Bundle，准备向Fragment传入参数
        Bundle arguments = new Bundle();
        arguments.putInt(BookDetailFragment.ITEM_ID, id);
        // 创建BookDetailFragment对象
        BookDetailFragment fragment = new BookDetailFragment();
        // 向Fragment传入参数
        fragment.setArguments(arguments);
        // 使用fragment替换book_detail_container容器当前显示的Fragment
        getFragmentManager().beginTransaction().replace(R.id.book_detail_container, fragment).commit(); // ①
    }
}</pre>
<p>此处，我们讲下Fragment和Activity之间的数据传递：<br />
<br />· Activity向Fragment传递数据： 在Activity中创建Bundle数据包，并调用Fragment的setArguments(Bundle bundle)方法即可将Bundle数据包传递给Fragment。</p>
<p>· Fragment想Activity传递数据或Activity需要在Fragment运行中进行实时通信：</p>
<p>      在Fragment中定义一个内部回调接口，再让包含该Fragment的Activity实现该回调接口，这样Fragment即可调用该回调方法将数据传递给Activity。比如上述示例中，我们再BookListFragment里定义了接口Callbacks，然后在用户点击某列表项时激发该回调接口里的onItemSelected方法mCallbacks.onItemSelected(BookContent.ITEMS.get(position).id);<br />
 在方法参数传递时，将数据传递都到Activity。</p>
<p>代码下载（免费）：  http://download.csdn.net/detail/zuiwuyuan/7957801</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-07 23:35:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Fragment开发实战（二）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG19Z6M.html" rel="bookmark">Fragment开发实战（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. Fragment的特征: 1. Fragment总是Activity界面的组成部分.Fragment可调用getActivity()方法获取它所在的Activity,Activity可调用FragmentManager的findFragmentById()或findFragmentByTag()方法来获取Fragment. 2. 在Activity的运行过程中,可调用FragmentManager的add().remove().replace()方法动态的添加.删除或替换Fragment.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOnOBb.html" rel="bookmark">&period;NET分布式架构开发实战之二 草稿设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:本篇之所以称为草稿设计,是因为设计的都是在纸上完成的.反映了一个思考的过程. 本篇的议题如下: 1.第一个数据层草图的提出 2.对数据访问层的思考 3.第二个数据层草图的提出 1.数据层草图的提出 Richard开始着手设计,一开始他没有就立刻在自己的计算机开始敲代码.而且采用笔+纸开始构思. 因为他认为:写程序不是什么时候都得上机,脑子里面想什么的才是最重要的,往往很多时候,在设计程序时,首先在头脑中就已经把整个功能已经实现了,甚至代码的详细编写都已经在头脑中走了一遍,并且在头脑中&quot;运行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQG6np.html" rel="bookmark">&lbrack;原创&rsqb;&period;NET 分布式架构开发实战之二 草稿设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[原创].NET 分布式架构开发实战之二 草稿设计 .NET 分布式架构开发实战之二 草稿设计   前言:本篇之所以称为草稿设计,是因为设计的都是在纸上完成的.反映了一个思考的过程. 本篇的议题如下:   1. 第一个数据层草图的提出 2. 对数据访问层的思考 3. 第二个数据层草图的提出   系列文章链接:  [原创].NET 分布式架构开发实战之一 故事起源 [原创].NET 分布式架构开发实战之二 草稿设计 [原创].NET 分布式架构开发实战之三 数据访问深入一点的思考 [原创].			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlJolp.html" rel="bookmark">Android之使用Android-query框架开发实战（二）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章跟大家介绍了Android之使用Android-query框架开发实战(一),本文继续跟大家介绍有关Android-query框架.具体内容请看下文. 异步网络: 1. 添加权限:&lt;uses-permission android:name=&quot;android.permission.INTERNET&quot; /&gt;  2. 支持的类型  JSONObject JSONArray String (HTML, XML) XmlDom (XML parsing) XmlPullPa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLdxO8p.html" rel="bookmark">JavaScript使用DeviceOne开发实战（二） 生成调试安装包&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章给大家介绍了JavaScript使用DeviceOne开发实战(一) 配置和起步,本篇文章继续给大家介绍关于javascript实战相关内容,一起学习吧. 生成调试安装包 首先需要说明的是,这个步骤并不是每次调试App都必须的,大部分情况生成一次调试安装包,安装到手机上之后就可以忽略整个这个步骤.因为调试安装包包含了很多原生组件,都是可以定制勾选的,如果你需要额外增加一些原生组件,则需要勾选更多的组件并要重新生成调试安装包. 点击调试程序的菜单里的&quot;Build Debug Versio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKdkEOM.html" rel="bookmark">一起谈&period;NET技术，&period;NET 分布式架构开发实战之二 草稿设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 本篇之所以称为草稿设计,是因为设计的都是在纸上完成的.反映了一个思考的过程. 本篇的议题如下: 1) 第一个数据层草图的提出 2) 对数据访问层的思考 3) 第二个数据层草图的提出 1.数据层草图的提出 Richard开始着手设计,一开始他没有就立刻在自己的计算机开始敲代码.而且采用笔+纸开始构思. 因为他认为:写程序不是什么时候都得上机,脑子里面想什么的才是最重要的,往往很多时候,在设计程序时,首先在头脑中就已经把整个功能已经实现了,甚至代码的详细编写都已经在头脑中走了一遍,并且在头脑			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAlrGJb.html" rel="bookmark">&period;NET 分布式架构开发实战之二 草稿设计&OpenCurlyDoubleQuote;&period;NET研究&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 本篇之所以称为草稿设计,是因为设计的都是在纸上完成的.反映了一个思考的过程. 本篇的议题如下: 1) 第一个数据层草图的提出 2) 对数据访问层的思考 3) 第二个数据层草图的提出 1.数据层草图的提出 Richard开始着手设计,一开始他没有就立刻在自己的计算机开始敲代码.而且采用笔+纸开始构思. 因为他认为:写程序不是什么时候都得上机,脑子里面想什么的才是最重要的,往往很多时候,在设计程序时,首先在头脑中就已经把整个功能已经实现了,甚至代码的详细编写都已经在头脑中走了一遍,并且在头脑			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOZoDb.html" rel="bookmark">Android之使用Android-query框架开发实战（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章跟大家介绍了Android之使用Android-query框架开发实战(一),本文继续跟大家介绍有关Android-query框架.具体内容请看下文. 异步网络: 1. 添加权限:&lt;uses-permission android:name=&quot;android.permission.INTERNET&quot; /&gt; 2. 支持的类型 JSONObject JSONArray String (HTML, XML) XmlDom (XML parsing) XmlPullPars			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvEw3Vb.html" rel="bookmark">&period;NET 分布式架构开发实战之二 草稿设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 本篇之所以称为草稿设计,是因为设计的都是在纸上完成的.反映了一个思考的过程. 本篇的议题如下: 1) 第一个数据层草图的提出 2) 对数据访问层的思考 3) 第二个数据层草图的提出 1.数据层草图的提出 Richard开始着手设计,一开始他没有就立刻在自己的计算机开始敲代码.而且采用笔+纸开始构思. 因为他认为:写程序不是什么时候都得上机,脑子里面想什么的才是最重要的,往往很多时候,在设计程序时,首先在头脑中就已经把整个功能已经实现了,甚至代码的详细编写都已经在头脑中走了一遍,并且在头脑			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqYkRM.html" rel="bookmark" class="title">新网站上线优化如何做到事半功倍技巧分析</a>
					<div>
						一个网站刚刚上线如何才能够尽快被百度收录,且收获更好的排名呢?在互联网上有很多认为要从网站内容和外链上下功夫,不过笔者认为,这两种方面虽然非常重要,却只不过是基础,再具体实践过程中需要花费更多的时间和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPaK1z.html" rel="bookmark" class="title">谁抢走了个人站长的流量</a>
					<div>
						流量|站长 从事网站行业已经2年多,自己做站已经有一年了,两年中有很多坎坷,刚开始的时候只是负责简单的文字编辑,负责从各大论坛网站抓信息,相信很多站长都度过那样的时期.不过也感谢那些日子,让我很快的了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBQV9z.html" rel="bookmark" class="title">网站设计的质量&colon;衡量网页设计的影响力和有效性</a>
					<div>
						文章描述:如何衡量网页设计的有效性. 考虑所有因素之后,网站设计的质量只能能过它给网站带来的结果来定量的衡量.常言道,结果说明了一切.作为一名有四年以上经验,并且定期的与一位设计师并肩工作的网页分析师 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1REj5p.html" rel="bookmark" class="title">SQL的集合运算符简介</a>
					<div>
						最近学习了SQL SERVER方面的知识,毕竟做Web应用,少不了跟数据库打交道.学习的来源主要是&lt; 程序员的SQL金典&gt;这本书. 今天介绍数据库里面的集合运算符,它是指匹配集合的每一个结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjr0kp.html" rel="bookmark" class="title">CSS实战：用dl、dd、dt做一个网页表单</a>
					<div>
						昨天做了个表单,依旧用table来布局,因为个人感觉table布局表单是不错的(追求div重构,不等于完全抛弃table). 今天早上起来,想想还是换种方式来做表单的布局.于是便选种了dl.dd.dt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrjdPp.html" rel="bookmark" class="title">Excel锁定和隐藏公式动画教程</a>
					<div>
						&lt;Excel2003入门动画教程46.Excel锁定和隐藏公式&gt;. 演示动画 操作步骤 在Excel中辛辛苦苦编制的计算公式,通常不希望使用者查看和修改.怎么办呢?利用Excel锁定.隐藏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRRyZp.html" rel="bookmark" class="title">word目录怎么做？</a>
					<div>
						  Word目录连接是用户在编辑长文本内容word文件时,必备的一项功能,通常情况下载我们毕业设计或编写论文时,该功能较为常见,虽然现如今word操作成为了职场必备的一项技能,但时还有很多用户却不知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYRnZM.html" rel="bookmark" class="title">Photoshop详细给风景照片后期精修分享</a>
					<div>
						美丽的日出赋予了大地生命的气息,这张拍摄于黑龙江兴凯湖的日出透露出那么一丝美感,在后期处理中,利用 &quot;渐变映射&quot;为照片渲染浓烈的日出氛围,再通过 &quot;曲线&quot;降低图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGvmab.html" rel="bookmark" class="title">Highcharts入门之基本属性&lowbar;javascript类库</a>
					<div>
						一.基本组成:     1.Highcharts包含标题(Title):主标题是必须的但是subTTitle不是必须     2.坐标轴(Axis):有x坐标(xAxis)和y坐标(yAxis)    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamqGXb.html" rel="bookmark" class="title">ace reactor-一个进程如何使用2个reactor实例？</a>
					<div>
						问题描述 一个进程如何使用2个reactor实例? if( -1 == acceptor_.open(addr_) ) //接受器 { ACE_ERROR((LM_ERROR,&quot;Accept ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q09jp.html" rel="bookmark" class="title">剖析新网站seo优化的基础设置</a>
					<div>
						剖析新网站seo优化的基础设置 万事开头难,是的,一点也没错,新站的SEO优化也是比较困难的,一来新站没有信用.毫无知名度.更不用说什么受众了,二来搜索引擎对于新站又有一个考核期.新站优化稍有不慎就会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw8y7p.html" rel="bookmark" class="title">《Netty IN ACTION》中文版《Netty实战》翻译手记&mdash;&mdash;不负好时光</a>
					<div>
						不负好时光--&lt;Netty in Action&gt;中文版&lt;Netty实战&gt;翻译手记 引子 &quot;书中自有黄金屋,书中自有颜如玉&quot;,这句话从小我老爸就给我讲,当然那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l4Nab.html" rel="bookmark" class="title">字段类型为date，设置将当前的系统时间存入库中，但是存到库中的值 日期对，时间不对</a>
					<div>
						问题描述 字段类型为date,设置将当前的系统时间存入库中,但是存到库中的值 日期对,时间不对在后台用这个给时间字段赋值Date curDate = new Date(System.currentTi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr75WM.html" rel="bookmark" class="title">聊天-WebSocket文件上传问题&lpar;Java实现&rpar;</a>
					<div>
						问题描述 WebSocket文件上传问题(Java实现) 最近在研究使用WebSocket写网页的聊天室,其中涉及到发送图片的问题向各位大神请教如何用WebSocket实现图片的发送 解决方案 Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3NJEz.html" rel="bookmark" class="title">代码-unity 关于Waypoint 的状态切换</a>
					<div>
						问题描述 unity 关于Waypoint 的状态切换 官方例子中有一个 waypoint的例子 讲的是一辆车沿着路点去走 那么问题来了 我想要在某个点让这辆车做别的事情 请问要怎么实现 要改代码的什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmqyrb.html" rel="bookmark" class="title">利用阿里云容器服务实现Docker微服务间的负载均衡和服务发现</a>
					<div>
						基于容器服务实现Docker微服务间的负载均衡和自动服务发现的方法 在容器服务上可以通过acsrouting将基于域名的http的服务暴漏出去,而且能够配合健康检查自动的负载均衡和服务发现,当其中一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXmkVz.html" rel="bookmark" class="title">给大家推荐几款基于&period;NET的PDF控件</a>
					<div>
						问题描述 最近遇见了PDF控件方面的需求,苦逼的去搜索,主要看重几款,现在推荐给大家.Aspose.Pdf比较出名,但是厂商是国外的,技术支持比较慢.spire.PDFfor.NET功能和第一个差不多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRA82b.html" rel="bookmark" class="title">textblob 使用中问题</a>
					<div>
						(1)找不到数据文件错误 Errors more Resource u'tokenizers/punkt/english.pickle' not found. Please use the NLTK  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX4rWz.html" rel="bookmark" class="title">谈优化-保持网站无差错，删除损坏的链接</a>
					<div>
						中国IDC圈12月31日报道:在当今的快节奏的高科技环境里,网站和http://www.aliyun.com/zixun/aggregation/34635.html&quot;&gt;个人网页,很快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKXyBb.html" rel="bookmark" class="title">javascrpit-在JS里直接用id引用html页面上的组件</a>
					<div>
						问题描述 在JS里直接用id引用html页面上的组件 偶然的机会见到在JS里直接用id定位到页面上的组件,没有使用getElementById().而且在IE和Chrome下均好用.但是我在网上查询没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8A3kb.html" rel="bookmark" class="title">芭乐与机锋网合作首部作品《天神传》正式上映</a>
					<div>
						[科技讯]9月6日消息,由芭乐传媒联合机锋网共同推出的同名游戏电影&lt;天神传&gt;于今日火爆上线.日本人气女星&quot;国宝级美女&quot;泷泽萝拉领衔主演,一袭透视内衣装贯穿全片,时隐时现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze07yNp.html" rel="bookmark" class="title">马琳被指卖名车转移财产传&OpenCurlyDoubleQuote;第三者&rdquo;身份曝光</a>
					<div>
						离婚马琳成众矢之的 乒坛名将马琳与老婆张宁益离婚案已进入审理阶段,下月1日,此案将正式开庭.目前,关于马琳与张宁益离婚一事又出现了不少新情况.连日来,不断有 网友对此事发表看法,更有人为张宁益鸣不平, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlORZp.html" rel="bookmark" class="title">通过文字传递创建的图形按钮&lowbar;php基础</a>
					<div>
						通过文字传递创建的图形按钮,详细说明请看文内英文说明 &lt;?php Header( &quot;Content-type: image/gif&quot;); // info for the br ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7qmXM.html" rel="bookmark" class="title">挥&rdquo;出个精彩！乒乓球拍写实技巧</a>
					<div>
						用绘图软件绘制写实作品时,物品的质感是非常重要的.因此在本例教材中,将告诉大家如何灵活地利用FW中的图案填充功能来体现乒乓球拍的木纹及胶皮质感.    新建一个650*450大小的画布.然后用&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0gYNp.html" rel="bookmark" class="title">手机电子商务进入黄金时期 主机WAP功能受重视</a>
					<div>
						手机电子商务进入黄金时期 主机wap功能受重视 随着三网融合的推进.3g大潮的普及,移动互联网将是下一个爆发点,到2013年中国手机网民将超过7亿,超越pc网民数量,而其他移动终端的互联网接入也处于爆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEXW0p.html" rel="bookmark" class="title">窗体-请教个关于控件的问题？</a>
					<div>
						问题描述 请教个关于控件的问题? C#窗体程序里为什么有些控件参数要写到Form__load里而有的就不用?比如RadioButton要写而CheckBox不用?_ 解决方案 因为你看的例子太少了,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYVQPb.html" rel="bookmark" class="title">函数-eyemath&period;m的注释问题 求大神解答一下</a>
					<div>
						问题描述 eyemath.m的注释问题 求大神解答一下 function nframe=eyematch(frame,thresh,template); [face_a,skin_region]=fa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWXdYz.html" rel="bookmark" class="title">System&period;IndexOutOfRangeException&colon; 在位置 0 处没有任何行。</a>
					<div>
						问题描述 我想通过Datagride中的链接列(详细信息)转到下一页的Datagride其中entergoodsid是entergoodsd的主键,是entermx的外键,但总是出错,没有任何行.但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWQg3z.html" rel="bookmark" class="title">Fortinet 第三季度财报靓丽 营收增长强劲</a>
					<div>
						Fortinet (NASDAQ: FTNT)公司今天发布了2015年第三季度财报.账单收入为2.996亿美金,同比增长41%:营收为2.601亿美金,同比增长35%.这一出色业绩再次印证了Forti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YADAp.html" rel="bookmark" class="title">在站前广场醒目位置设立列车信息公告的大屏幕</a>
					<div>
						火车站为了方便旅客出行,一般会在站前广场醒目位置设立列车信息公告的大屏幕.但前日下午,有网友却拍到郑州火车站的大屏幕出现了&quot;纸牌&quot;游戏,持续超过 15分钟.据了解,该大屏幕在调试阶 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
